%define shortname wireless
%define name gdesklets-%{shortname}
%define version 0.2
%define release 2mdk
%define archivename WirelessDisplay-%{version}

Name:           %{name}
Summary:        Wireless sensor and display for gDesklets
Version:        %{version}
Release:        %{release}
Url:		http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=69
Source0:	%{archivename}.tar.gz
Source1:	Makefile_install_scripts.tar.bz2
Source2:	Install_Wireless_Sensor-0.2.bin.bz2
Group:		Graphical desktop/GNOME
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Provides:       gdesklets-display
Requires:	gdesklets
Requires:	wireless-tools

%description
A sensor and a display for keeping an eye on the connection quality
to your wireless LAN. (by Jesse Andrews)

To add the display, use :
  gdesklets-add-Wireless-display

%prep
%setup -q -n WirelessDisplay -a 1
bzcat %SOURCE2 > Install_Wireless_Sensor.bin
chmod +x Install_Wireless_Sensor.bin


%build
%make PACKAGE_NAME=%{shortname}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PACKAGE_NAME=%{shortname}
rm -f %buildroot%{_datadir}/gdesklets/Sensors/Wireless/locale/install_locales.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/gdesklets/Displays/wireless
%dir %{_datadir}/gdesklets/Sensors/Wireless
%dir %{_datadir}/gdesklets/Sensors/Wireless/locale
%{_datadir}/gdesklets/Sensors/Wireless/*.py
%lang(de) %{_datadir}/gdesklets/Sensors/Wireless/locale/de/
%{_bindir}/gdesklets-add-Wireless-display

%changelog
* Mon Oct 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- add dependancy on wireless-tools
- arrgh, add the missing sensor

* Mon Oct 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- fix directory ownership
- fix URL
- new version

* Fri Aug 22 2003 Olivier Blin <oliv.blin@laposte.net> 0.1-1mdk 
- Initial release for Mandrake
  thanks to Jason Tacakberry <tack@auc.ca> (RH packager) for his help
- Creation of Makefile and install scripts
- Creation of gdesklets-add-*-display scripts to add new displays
